summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorkrzys-h <krzys_h@interia.pl>2014-10-14 15:07:44 +0200
committerkrzys-h <krzys_h@interia.pl>2014-10-14 15:26:01 +0200
commitca18d01630a70147e69de235e8f5c2c3e4e0a44b (patch)
tree52c4c6e8c45989d0e24bedc2846e3c9b60ee3b43 /tools
parent343504168fca0e48c7c486092bea2148824f1e44 (diff)
downloadcolobot-ca18d01630a70147e69de235e8f5c2c3e4e0a44b.tar.gz
colobot-ca18d01630a70147e69de235e8f5c2c3e4e0a44b.tar.bz2
colobot-ca18d01630a70147e69de235e8f5c2c3e4e0a44b.zip
Updated license from PPC to TerranovaTeam
Polish Portal of Colobot (PPC) changed name to International Colobot Community (ICC). The part of the community actively working on the game is known as TerranovaTeam.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/update-license.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tools/update-license.sh b/tools/update-license.sh
new file mode 100755
index 0000000..870e173
--- /dev/null
+++ b/tools/update-license.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+# Replaces license text with contents of file provided as an argument
+if [ ! $# -eq 1 ]; then
+ echo "Usage: $0 [file with new license header]"
+ exit 1
+fi
+find . -name "*.cpp" -or -name "*.h" | while read file; do
+ echo $file
+ sed '/\/\/ \* This.*/,/If not\, see.*/d' $file > $file.tmp
+ cat $1 $file.tmp > $file
+ rm $file.tmp
+done